import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/job/getHasRight', 'GET', params);
}

export const getJobGroupForm = (params) => {
	return WeaTools.callApi('/api/hrm/job/getJobGroupForm?is_multilang_set=true', 'GET', params);
}

export const getJobForm = (params) => {
	return WeaTools.callApi('/api/hrm/job/getJobActivityForm?is_multilang_set=true', 'GET', params);
}

export const getPostForm = (params) => {
	return WeaTools.callApi('/api/hrm/job/getJobTitleForm?is_multilang_set=true', 'GET', params);
}

export const savePostForm = (params) => {
	return WeaTools.callApi('/api/hrm/job/addJobTitle', 'POST', params);
}

export const saveJobForm = (params) => {
	return WeaTools.callApi('/api/hrm/job/addJobActivity', 'POST', params);
}

export const saveJobGroupForm = (params) => {
	return WeaTools.callApi('/api/hrm/job/addJobGroup', 'POST', params);
}